Update Environments
post
https://statsigapi.net/console/v1/environmentsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Body
application/jsonenvironmentsobject[]requiredShow child attributes
name[]stringrequiredThe name of the environment.
id[]stringA unique identifier for the environment. If not provided, the associated environment will be treated as a newly created environment.
isProduction[]booleanrequiredWhether the environment is production.
requiresReview[]booleanrequiredWhether the environment requires review.
requiredReviewGroupID[]stringThe ID of the review group that the environment requires review from.
requiresReleasePipeline[]booleanrequiredWhether the environment requires a release pipeline.
Response
application/json200· Update Environments Response
messagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
environmentsobject[]requiredname[]stringrequiredThe name of the environment.
id[]stringrequiredA unique identifier for the environment.
isProduction[]booleanrequiredWhether the environment is production.
requiresReview[]booleanrequiredWhether the environment requires review.
requiredReviewGroupID[]stringThe ID of the review group that the environment requires review from.
requiresReleasePipeline[]booleanrequiredWhether the environment requires a release pipeline.
400· Invalid request. Please check the request input and try again.
statusintegerrequiredmessagestringrequired401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequiredmessagestringrequiredWas this helpful?